package org.gcube.portlets.widgets.mpformbuilder.shared.upload;

import java.io.Serializable;

/**
 * The Class FilePath.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Mar 21, 2022
 */
public class FilePath implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5321133561716734223L;
	String formFieldLabel; // is the gcubeProfileFieldName in the UCD of Geoportal

	/**
	 * Instantiates a new file paths.
	 */
	public FilePath() {
	}

	/**
	 * Instantiates a new file path.
	 *
	 * @param formFieldLabel the form field label
	 */
	public FilePath(String formFieldLabel) {
		this.formFieldLabel = formFieldLabel;
	}

	/**
	 * Gets the form field label.
	 *
	 * @return the form field label
	 */
	public String getFormFieldLabel() {
		return formFieldLabel;
	}

	/**
	 * Sets the form field label.
	 *
	 * @param formFieldLabel the new form field label
	 */
	public void setFormFieldLabel(String formFieldLabel) {
		this.formFieldLabel = formFieldLabel;
	}

	/**
	 * To string.
	 *
	 * @return the string
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FilePath [formFieldLabel=");
		builder.append(formFieldLabel);
		builder.append("]");
		return builder.toString();
	}

}
